<?php

final class Dreamkas_AdminSettings {

    private static $options = array(
        'dreamkas_access_token' => 'string',
        'dreamkas_device_id' => 'string',
        'dreamkas_tax_mode' => 'string',
        'dreamkas_tax_type' => 'string',
        'dreamkas_payments_ids' => 'array',
        'dreamkas_fiscalize_on_order_status' => 'string'
    );

    public static function out() {
        if (!empty($_POST)) {
            self::save();
        }
        //fnd(Dreamkas()->taxSystems());
        include(DREAMKAS_ABSPATH_VIEWS . 'html-admin-settings.php');
    }

    public static function save() {

        foreach (self::$options as $key => $type) {
            if($key == 'dreamkas_payments_ids') {
                $value = $_REQUEST['dreamkas_payments_ids'];
            } else {
                $value = filter_input(INPUT_POST, $key);
            }
            if ($type == 'string') {
                update_option($key, $value);
            } else if ($type == 'bool') {
                update_option($key, $value === "1" ? "1" : "0");
            } else if ($type == 'integer') {
                update_option($key, intval($value));
            } else if ($type == 'array') {
                update_option($key, implode(',',$value));
            }
        }
    }
}