<?php

final class Dreamkas_Admin {

    public static function init() {
        add_action('admin_head', array(__CLASS__, 'menu_correction'));
        add_action('admin_menu', array(__CLASS__, 'add_menu'));
        //add_action('admin_menu', array(__CLASS__, 'add_menu_settings'));
        //add_action('admin_menu', array(__CLASS__, 'add_menu_reports'));

        require_once(DREAMKAS_ABSPATH . 'includes/class-dreamkas-admin-settings.php');
    }

    public static function add_menu() {
        add_menu_page(
            'Дримкас',
            'Дримкас',
            'manage_options',
            'dreamkas',
            array(__CLASS__, 'settings_page'),
            null,
            '56.2'
        );
    }

    public static function add_menu_settings() {
        add_submenu_page(
            'dreamkas',
            'Дримкас - Настройки',
            'Настройки',
            'manage_options',
            'dreamkas-settings',
            array(__CLASS__, 'settings_page')
        );
    }

    public static function menu_correction() {
        global $submenu;

        if (isset($submenu['dreamkas'])) {
            unset($submenu['dreamkas'][0]);
        }
    }

    public static function settings_page() {
        Dreamkas_AdminSettings::out();
    }

}
